Skip to main content
PUT
/
v1
/
activities
/
{id}
Update a activity
curl --request PUT \
  --url https://api.metal.ai/v1/activities/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <api-key>' \
  --data '
{
  "subject": "<string>",
  "type": "<string>",
  "startedAt": "2023-11-07T05:31:56Z",
  "endedAt": "2023-11-07T05:31:56Z",
  "participants": [
    {
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "isPrivate": true
}
'
{
  "data": {
    "id": "<string>",
    "subject": "Intro call with management",
    "type": "Meeting",
    "startedAt": "2023-11-07T05:31:56Z",
    "endedAt": "2023-11-07T05:31:56Z",
    "participants": [
      {
        "id": "<string>",
        "type": "<string>"
      }
    ],
    "deals": [
      "<string>"
    ],
    "relatedResources": [
      {
        "id": "<string>",
        "type": "<string>"
      }
    ],
    "externalReference": {
      "source": "<string>",
      "id": "<string>"
    },
    "isPrivate": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-metal-client-id
string
header
required

The Client ID of your API key.

x-metal-api-key
string
header
required

The secret value of your API key.

Path Parameters

id
string
required

The activity id.

Body

application/json
subject
string
type
string
startedAt
string<date-time>
endedAt
string<date-time>
participants
object[]
isPrivate
boolean

Response

Updates an existing activity.

data
object